declare @objectID int;
select @objectID = object_id from sys.triggers where parent_id = object_id(N'dbo.GroupInfo') and name= N'tr_GroupInfo_ResetCache';
declare @createOrAlter nvarchar(6);
set @createOrAlter = case when @objectID is null then N'create' else N'alter' end;
exec (@createOrAlter + N' trigger dbo.tr_GroupInfo_ResetCache
on dbo.GroupInfo after insert, update, delete
as 
begin
    update dbo.DatabaseInfo set ConnectionCacheID = newid(), IntelligentCacheID = newid();
end;');